import React, { useState, useRef } from 'react';

function ImageUpload(_ref) {
  var setImage = _ref.setImage,
    shape = _ref.shape,
    border = _ref.border,
    borderColor = _ref.borderColor,
    fallbackImage = _ref.fallbackImage,
    height = _ref.height,
    width = _ref.width;
  var _useState = useState(""),
    uploadedImageUrl = _useState[0],
    setUploadedImageUrl = _useState[1];
  var inputFile = useRef();
  var imageUploadHandler = function imageUploadHandler(e) {
    if (e.target.files[0]) {
      setUploadedImageUrl(URL.createObjectURL(e.target.files[0]));
      setImage(e.target.files[0]);
    }
  };
  return /*#__PURE__*/React.createElement("div", {
    style: {
      border: border ? '2px solid black' : 'none',
      borderColor: borderColor ? borderColor : 'black',
      width: width ? width : '100%',
      height: height ? height : '100%',
      cursor: 'pointer',
      overflow: 'hidden',
      borderRadius: shape == 'circle' ? '100%' : '0px'
    },
    onClick: function onClick() {
      inputFile.current.click();
    }
  }, uploadedImageUrl ? /*#__PURE__*/React.createElement("img", {
    alt: "profileImage",
    src: uploadedImageUrl,
    onError: function onError(e) {
      e.target.onerror = null;
      e.target.src = fallbackImage ? fallbackImage : "https://placehold.co/400x400/000000/FFF?text=Invalid\\nImage";
    },
    style: {
      height: '100%',
      width: '100%',
      objectFit: 'cover'
    }
  }) : /*#__PURE__*/React.createElement("div", {
    className: "initialImage---Div",
    style: {
      width: width ? width : '100%',
      height: height ? height : '100%',
      backgroundColor: 'rgb(33, 33, 33)',
      color: 'white',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      fontSize: '30px'
    }
  }, "+"), /*#__PURE__*/React.createElement("input", {
    type: "file",
    id: "file",
    accept: "image/*",
    ref: inputFile,
    onChange: imageUploadHandler,
    style: {
      display: "none"
    }
  }));
}

export default ImageUpload;
//# sourceMappingURL=index.modern.js.map
